import axios from '../axios'

export function updateSysmenu({ id, enable, type }) {
  return axios.post('/sysMenu/update', null, {
    params: { id, enable, type },
  })
}

export function getAllMenusTree() {
  return axios.get('sysMenu/getAllMenusTree')
}

export function addMenu(data) {
  return axios.post('sysMenu/add', data)
}

export function updateMenu(data) {
  return axios.post('sysMenu/update', data)
}

export function deleteMenu(id) {
  return axios.post(`sysMenu/delete/${id}`)
}
